# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "jetstream_ufs"
version = "14.0.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Jetstream is a RPC framework for Rust, based on the 9P protocol and QUIC."
documentation = "https://jetstream.rs"
readme = "README.md"
license = "BSD-3-Clause"
repository = "https://github.com/sevki/jetstream"

[lib]
name = "jetstream_ufs"
path = "src/lib.rs"
bench = false

[[bin]]
name = "jetstream_ufs"
path = "src/main.rs"
bench = false

[dependencies.argh]
version = "0.1.12"

[dependencies.jetstream_9p]
version = "14.0.0"

[dependencies.jetstream_rpc]
version = "14.0.0"

[dependencies.jetstream_wireformat]
version = "14.0.0"

[dependencies.libc]
version = "0.2.177"

[dependencies.serde]
version = "1.0.218"
features = ["derive"]

[dependencies.tokio]
version = "1.48.0"
features = ["full"]

[dependencies.tokio-util]
version = "0.7"
features = ["codec"]
